# $Id: smeserver-kronolith.spec,v 1.3 2011/07/30 03:21:18 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Kronolith configuration and templates.
%define name smeserver-kronolith
Name: %{name}
%define version 2.3
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
#REM contribs9 Patch1: kronolith-2.3.patch
#REM contribs9 Patch2: kronolith-2.3.sql.patch
#REM contribs9 Patch3: smeserver-kronolith_reminders_agendas.patch
#REM contribs9 Patch4: kronolith-2.3.2.patch
#REM contribs9 Patch5: kronolith-2.3.3.patch
#REM contribs9 Patch6: smeserver-kronolith_reminders_agendas_owner.patch
#REM contribs9 Patch7: smeserver-kronolith_fburl.patch
#REM contribs9 Patch8: smeserver-kronolith_remove_freebusy_db.patch
#REM contribs9 Patch9: smeserver-kronolith_remove_dup_slapd_schema.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: e-smith-base >= 4.18.1-5
Requires: e-smith-ldap >= 4.12.0-9
Requires: kronolith-h3 >= 2.2
Requires: php-pear-HTTP-Request >= 1.4.0
Requires: php-pear-Net-Socket >= 1.0.6
Requires: php-pear-Net-URL >= 1.0.14
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: e-smith-kronolith = 0.8.0-02db
Obsoletes: pear-http_request >= 1.4.0 
Obsoletes: pear-net_socket >= 1.0.6 
Obsoletes: pear-net_url >= 1.0.14 


%changelog
* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 2.3-1.sme
- initial import to SME9 contribs

* Tue Jul 26 2011 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-14
- Remove duplicate template entries in slapd.conf

* Sun Jul 11 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-13
- Re-Added migrate fragment to remove FreeBusy db entry from accounts since this
  information is now saved directly to LDAP on SME8.

* Sun Jul 11 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-12
- Re-Added saving of user's calFBURL to LDAP for use with SME8. [SME: 5708]

* Sun Jun 27 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-11
- Remove changes for -8, -9, -10 so that rpm can be installed on SME 7.x.
  Will re-add appropriate patches for SME8 when it is released.  [SME: 6080]

* Thu Apr 22 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-10
- Added removal of user's calFBURL from LDAP smeserver-kronolith is uninstalled

* Thu Apr 22 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-9
- Added migrate fragment to remove FreeBusy db entry from accounts since this
  information is now saved directly to LDAP on SME8.

* Thu Apr 22 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-8
- Added saving of user's calFBURL to LDAP for use with SME8. [SME: 5708]

* Sun Jan 24 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-7
- Update to change owner of alarm and reminder cron jobs from root to www [SME: 4851]

* Mon Dec 28 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-6
- Updated templates to reflect Kronolith 2.3.3

* Fri Oct 9 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-5
- Updated templates to reflect Kronolith 2.3.2

* Sun Dec 14 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-4
- Patch to add more functionality to Kronolith for calendar reminders and daily agenda email
- config setprop horde reminders enabled - default is enabled and this is set to run every 5 minutes.
- The above sends calendar email alarms/reminders.
- config setprop horde remindertime x - will change the frequency, value in minutes.
- config setprop horde agendas enabled  - default is disabled set to run everyday at 5 am when enabled.
- The above sends daily calendar agenda emails.
- config setprop horde agenda time x - will change the frequency, value needs to be 0 - 24.

* Fri Dec 05 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-3
- Patch to add forgotten changes from kronolith upgrade sql script

* Fri Dec 05 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-2
- Updated templates to reflect Kronolith 2.3

* Sun Jun 22 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1
- Initial production build
- Jump in package name to reflect new version of kronolith

* Tue Jun 3 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-1
- Initial build
- Jump in package name to reflect new version of kronolith

%description
This package adds necessary templates and configuration items
so that Kronolith will work properly on SME Server

%prep
%setup

#REM contribs9 %patch1 -p1
#REM contribs9 %patch2 -p1
#REM contribs9 %patch3 -p1
#REM contribs9 %patch4 -p1
#REM contribs9 %patch5 -p1
#REM contribs9 %patch6 -p1
#REM contribs9 %patch7 -p1
#REM contribs9 %patch8 -p1
#REM contribs9 %patch9 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
